diff --git b/doc/Makefile.in a/doc/Makefile.in
index be6870f..f9bcb3a 100644
--- b/doc/Makefile.in
+++ a/doc/Makefile.in
@@ -7,11 +7,13 @@ doc_files=		${srcdir}/guide.html \
 			${srcdir}/discover-config.1 \
 			${srcdir}/discover.conf.5 \
 			${srcdir}/discover-modprobe.conf.5 \
-			${srcdir}/discover-modprobe.8
+			${srcdir}/discover-modprobe.8 \
+			${srcdir}/discover-pkginstall.8
 
 refentries=		discover-config.refentry \
 			discover-modprobe.conf.refentry \
 			discover-modprobe.refentry \
+			discover-pkginstall.refentry \
 			discover.conf.refentry \
 			discover.refentry
 
@@ -64,6 +66,8 @@ install: ${doc_files}
 		TO=${DESTDIR}${mandir}/man5/discover-modprobe.conf.5
 	@${MAKE} __sed_install FROM=${srcdir}/discover-modprobe.8 \
 		TO=${DESTDIR}${mandir}/man8/discover-modprobe.8
+	@${MAKE} __sed_install FROM=${srcdir}/discover-pkginstall.8 \
+		TO=${DESTDIR}${mandir}/man8/discover-pkginstall.8
 
 uninstall:
 	rm -f ${DESTDIR}${datadir}/doc/discover/guide.html
@@ -72,6 +76,7 @@ uninstall:
 	rm -f ${DESTDIR}${mandir}/man1/discover-config.1
 	rm -f ${DESTDIR}${mandir}/man8/discover-modprobe.8
 	rm -f ${DESTDIR}${mandir}/man5/discover-modprobe.conf.5
+	rm -f ${DESTDIR}${mandir}/man8/discover-pkginstall.8
 
 ###############################################################################
 # Distribution
diff --git b/doc/discover-pkginstall.8 a/doc/discover-pkginstall.8
index e69de29..126e4a7 100644
--- b/doc/discover-pkginstall.8
+++ a/doc/discover-pkginstall.8
@@ -0,0 +1,27 @@
+.TH "discover-pkgintsall" "8" 
+.SH "NAME" 
+discover-pkginstall \(em intsall packages for available hardware using discover(1) 
+.SH "SYNOPSIS" 
+.PP 
+\fBdiscover-pkginstall\fR [\-l]  [\-n]  [\-v]  
+.SH "Description" 
+.PP 
+\fBdiscover-pkginstall\fR install packages based 
+on detected hardware.  It will use the discover-data database to 
+map for hardware to debian packages, install the packages by 
+default.  Packages using module-assistant will be automatically 
+built and the result installed if module-assistant is installed 
+or pulled in as a dependency. 
+.SH "Options" 
+.IP "\fB-l\fP" 10 
+Only list the detected packages 
+.IP "\fB-n\fP" 10 
+Echo the \fBaptitude and 
+module-assistant\fR invocations instead of running 
+them. 
+.IP "\fB-v\fP" 10 
+Be verbose. 
+.SH "See Also" 
+.PP 
+aptitude(8), discover(1), module-assistant(8) 
+.\" created by instant / docbook-to-man, Sun 13 Jan 2008, 09:40 
diff --git b/doc/discover-pkginstall.refentry a/doc/discover-pkginstall.refentry
index e69de29..d88abc7 100644
--- b/doc/discover-pkginstall.refentry
+++ a/doc/discover-pkginstall.refentry
@@ -0,0 +1,85 @@
+  <refentryinfo>
+    <releaseinfo>1.0</releaseinfo>
+
+    <authorgroup>
+      Petter Reinholdtsen
+    </authorgroup>
+    <copyright>
+      <year>2008</year>
+      <holder>Petter Reinholdtsen</holder>
+    </copyright>
+  </refentryinfo>
+
+  <refmeta>
+    <refentrytitle>discover-pkgintsall</refentrytitle>
+    <manvolnum>8</manvolnum>
+  </refmeta>
+
+  <refnamediv>
+    <refname>discover-pkginstall</refname>
+    <refpurpose>intsall packages for available hardware using discover(1)</refpurpose>
+  </refnamediv>
+
+  <refsynopsisdiv>
+
+    <cmdsynopsis>
+      <command>discover-pkginstall</command>
+      <arg choice="opt">-l</arg>
+      <arg choice="opt">-n</arg>
+      <arg choice="opt">-v</arg>
+    </cmdsynopsis>
+
+  </refsynopsisdiv>
+
+
+  <refsect1 id="dm8-rs-description">
+    <title id="dm8-rs-title-description">Description</title>
+
+    <para><command>discover-pkginstall</command> install packages based
+      on detected hardware.  It will use the discover-data database to
+      map from hardware to debian packages, install the packages by
+      default.  Packages using module-assistant will be automatically
+      built and the result installed if module-assistant is installed
+      or pulled in as a dependency.</para>
+
+  </refsect1>
+
+  <refsect1 id="dm8-rs-options">
+    <title id="dm8-rs-title-options">Options</title>
+
+    <variablelist>
+      <varlistentry>
+        <term><option>-l</option></term>
+        <listitem>
+          <para>Only list the detected packages</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry>
+        <term><option>-n</option></term>
+        <listitem>
+          <para>Echo the <command>aptitude and
+	    module-assistant</command> invocations instead of running
+	    them.</para>
+        </listitem>
+      </varlistentry>
+      <varlistentry>
+        <term><option>-v</option></term>
+        <listitem>
+          <para>Be verbose.</para>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </refsect1>
+
+  <refsect1 id="dm8-rs-see-also">
+    <title id="dm8-rs-title-see-also">See Also</title>
+
+    <para>aptitude(8), discover(1), module-assistant(8)</para>
+
+  </refsect1>
+
+<!-- Local variables: -->
+<!-- mode: xml -->
+<!-- sgml-parent-document: ("guide.xml" "refentry" "refentry") -->
+<!-- End: -->
+<!-- vim: set ai et sts=2 sw=2 tw=65: -->
